<template>
    <div>
        <Header/>
            <div class="container" style="margin-top:100px;">
                <div class="row d-flex justify-content-center">
                    <div class="col-md-6">
                        <div class="card" style="background-color:#a2b29f;">
                            <div class="card-header">SILAHKAN LOGIN</div>
                            <div class="card-body">                        
                                <form action="#" 
                                    method="POST" 
                                    class="p-3"
                                    @submit.prevent="store">
                                    <div class="form-group">
                                        <label for="email" class="d-flex justify-content-start">
                                            Email
                                        </label>                                   
                                        <input type="email" class="form-control mb-4" name="email" id="email" v-model="form.email"> 
                                    </div>
                                    <div class="form-group">
                                        <label for="password" class="d-flex justify-content-start">
                                            Password
                                        </label>
                                        <div>
                                            <input type="password" v-model="form.password" class="form-control mb-5" name="password" id="password">
                                        </div>
                                    </div>                    
                                    <button type="submit" class="btn btn-lg btn-primary py-2 px-4">LOGIN</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>         
            </div>
    </div>
</template>

<script>
import Header from '@/components/Header.vue'
import swal from 'sweetalert';
import axios from 'axios'
import { mapActions } from 'vuex'

export default {
  name: 'auth.Login',

  data() {
      return {
          form : {
              email : 'register@gmail.com',
              password : '12345678',
          }, 
      }
  },

  components : {
    Header,
  },

  methods: {
       ...mapActions({
            login :'auth/login',
            token: 'auth/SET_TOKEN'
        }),

    //   async store() {
    //     // await axios.post('http://demo-api-vue.sanbercloud.com/api/v2/auth/login', this.form)
    //     // let response = await axios.post('http://demo-api-vue.sanbercloud.com/api/v2/auth/login', this.form)
    //     await this.token()
    //     await this.login(this.form);
    //     this.$router.push('/');
    //     location.reload();
    //     swal({
    //           title: "Anda Berhasil Login",
    //           button: "Close",
    //           timer: 2000,
    //     });
    //   },   

      async store() {
        const config = {
            method: 'post',
            url : 'https://demo-api-vue.sanbercloud.com/api/v2/auth/login',
            data : this.form
        }       
        
        await axios(config) 
            .then(response => {            
              console.log(response)
              this.token(response.data.access_token)
              swal({
                title: "Anda Berhasil Login",
                button: "Close",
                timer: 2000,
                });
              this.$router.replace('/');
            })
            .catch( error => {
                console.log(error)
                swal({
                    title: "Login Gagal",
                    button: "Close",
                    timer: 2000,
                });
            });
        }      
  },

  mounted() {
      document.title = "Login"
  }
}
</script>

<style scoped>
    .card {
        font-size: 16px;
    }

    .card-header {
        color : #2b4f60;
        font-weight: bold;
    }

    .card label {
        font-size: 14px;
        color : #2b4f60;
        font-weight: bold;
    }

    button {
        font-size: 14px;
        font-weight: bold;
    }

    input {
        font-size: 14px;
    }
</style>
